Create Training Job
curl --request POST \
--url https://api.landing.ai/v1/projects/{project_id}/train \
--header 'Content-Type: application/json' \
--data '
{
"model": {
"architecture": "ConvNext-[16M]",
"hyperParams": {
"epochs": 20
}
},
"transforms": {
"preprocessing": [
{
"rescaleWithPadding": {
"height": 896,
"width": 1280,
"paddingValue": 0
}
}
],
"augmentations": [
{
"horizontalFlip": {
"p": 0.5
}
},
{
"randAugment": {
"numberTransforms": 2,
"magnitude": 4
}
}
]
}
}
'import requests
url = "https://api.landing.ai/v1/projects/{project_id}/train"
payload = {
"model": {
"architecture": "ConvNext-[16M]",
"hyperParams": { "epochs": 20 }
},
"transforms": {
"preprocessing": [{ "rescaleWithPadding": {
"height": 896,
"width": 1280,
"paddingValue": 0
} }],
"augmentations": [{ "horizontalFlip": { "p": 0.5 } }, { "randAugment": {
"numberTransforms": 2,
"magnitude": 4
} }]
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
model: {architecture: 'ConvNext-[16M]', hyperParams: {epochs: 20}},
transforms: {
preprocessing: [{rescaleWithPadding: {height: 896, width: 1280, paddingValue: 0}}],
augmentations: [{horizontalFlip: {p: 0.5}}, {randAugment: {numberTransforms: 2, magnitude: 4}}]
}
})
};
fetch('https://api.landing.ai/v1/projects/{project_id}/train', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": "edcfea45-33b5-4a52-8625-94d156e63fb3"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Training
Create Training Job
POST
/
v1
/
projects
/
{project_id}
/
train
Create Training Job
curl --request POST \
--url https://api.landing.ai/v1/projects/{project_id}/train \
--header 'Content-Type: application/json' \
--data '
{
"model": {
"architecture": "ConvNext-[16M]",
"hyperParams": {
"epochs": 20
}
},
"transforms": {
"preprocessing": [
{
"rescaleWithPadding": {
"height": 896,
"width": 1280,
"paddingValue": 0
}
}
],
"augmentations": [
{
"horizontalFlip": {
"p": 0.5
}
},
{
"randAugment": {
"numberTransforms": 2,
"magnitude": 4
}
}
]
}
}
'import requests
url = "https://api.landing.ai/v1/projects/{project_id}/train"
payload = {
"model": {
"architecture": "ConvNext-[16M]",
"hyperParams": { "epochs": 20 }
},
"transforms": {
"preprocessing": [{ "rescaleWithPadding": {
"height": 896,
"width": 1280,
"paddingValue": 0
} }],
"augmentations": [{ "horizontalFlip": { "p": 0.5 } }, { "randAugment": {
"numberTransforms": 2,
"magnitude": 4
} }]
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
model: {architecture: 'ConvNext-[16M]', hyperParams: {epochs: 20}},
transforms: {
preprocessing: [{rescaleWithPadding: {height: 896, width: 1280, paddingValue: 0}}],
augmentations: [{horizontalFlip: {p: 0.5}}, {randAugment: {numberTransforms: 2, magnitude: 4}}]
}
})
};
fetch('https://api.landing.ai/v1/projects/{project_id}/train', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": "edcfea45-33b5-4a52-8625-94d156e63fb3"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Path Parameters
Query Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I

